Jump to content
coreyman

Installing mcrypt in php7.3 on Debian

Recommended Posts

I understand the urge to go latest php 7.3 but the first stable version was only released yesterday and the ioncube loaders are still RC. In the world of Linux this means nothing short of 1 million errors and many wasted hours asking yourself why when in fact the answer is div/0.

My advice is install php 7.2, install ioncube loaders, sleep better. :)

Also if mcrypt is deprecated and was removed in 7.3 there may be other deprecated things as well and you might have to wait on a php7.3 patch from Blesta. Currently it works well on php7.2.

Share this post


Link to post
Share on other sites

We have not released a build of Blesta with the new ioncube loaders yet, so Blesta currently wouldn't work on php 7.3. It usually takes a little while for everyone to catch up when there's a new software release with php.

I appreciate the guide on installing mcrypt for php 7.3 though.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×